Confirm Order Reply Message

View as MarkdownOpen in Claude
Confirm an order reply message and continue with submission of order ticket.

Path parameters

replyIdstringRequired

The UUID of the reply message to be confirmed, obtained from an order submission response. This is delivered from the POST /iserver/account/{accountId}/orders endpoint when triggering certain warning messages.

Request

This endpoint expects an object.
confirmedbooleanOptional
Value of true answers the question in the affirmative and proceeds with order submission.

Response

Status of reply
orderSubmitSuccesslist of objects
A successful submission of one or more order tickets.
OR
orderReplyMessagelist of objects
An array containing objects that each deliver the order reply messages emitted against one order ticket in the submission request's array. Indicies of the order reply message objects in this array correspond to the indicies of the order tickets in the submission request's array.
OR
orderSubmitErrorobject
Indicates that the order reply message or submission was not accepted.
OR
orderReplyNotFoundobject
Indicates that the order reply ID does not exist.
OR
advancedOrderRejectobject
Relates a message generated in response to the rejection of the submitted order ticket. In some cases, it may also present a mechanism to resubmit the same order following a prompted decision.

Errors

401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error